Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1909380 (fierce) - Review Request: fierce - DNS reconnaissance tool
Summary: Review Request: fierce - DNS reconnaissance tool
Keywords:
Status: CLOSED NOTABUG
Alias: fierce
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-12-19 15:01 UTC by Fabian Affolter
Modified: 2021-07-16 00:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-16 00:45:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Fabian Affolter 2020-12-19 15:01:05 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/fierce.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/fierce-1.4.0-1.fc33.src.rpm

Project URL: https://github.com/mschwager/fierce

Description:
Fierce is a semi-lightweight scanner that helps locate non-contiguous IP
space and hostnames against specified domains. It is meant specifically
to locate likely targets both inside and outside a corporate network.
Because it uses DNS primarily you will often find mis-configured networks
that leak internal address space.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=57800021

rpmlint output:
$ rpmlint fierce-1.4.0-1.fc33.src.rpm
fierce.src: W: spelling-error %description -l en_US hostnames -> host names, host-names, hostages
fierce.src: W: spelling-error %description -l en_US mis -> mus, mos, mid
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint fierce-1.4.0-1.fc33.noarch.rpm 
fierce.noarch: W: spelling-error %description -l en_US hostnames -> host names, host-names, hostages
fierce.noarch: W: spelling-error %description -l en_US mis -> mus, mos, mid
fierce.noarch: W: no-manual-page-for-binary fierce
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


Fedora Account System Username: fab

Comment 1 Ben Beasley 2021-02-20 15:53:17 UTC
Looks simple enough. I have test failures in mock, though.

Looks like you need to skip test_recursive_query_basic_failure, test_recursive_query_basic_success, and test_recursive_query_long_domain_failure, which all raise NoResolverConfiguration in mock.

Comment 2 Petr Menšík 2021-06-15 10:41:09 UTC
It requires just disabling test_recursive_query* tests during testing, because /etc/resolv.conf does not exist in mock environment. I were able to mockbuild it with simple change:

--- ../srpm/fierce.spec	2021-06-15 11:52:22.996270762 +0200
+++ ../srpm-unpacked/fierce.spec	2021-06-15 12:15:57.750292818 +0200
@@ -33,10 +33,11 @@
 %py3_install
 
 %check
-# Assertions are made for the pathes and requires an exisiting /etc/resolv.conf
+# Assertions are made for the pathes
 %pytest -v tests -k "not test_parse_args_included_list_file and not test_parse_args_missing_list_file \
   and not test_update_resolver and not test_query_no_nameservers and not test_query_nxdomain \
-  and not test_query_timeout"
+  and not test_query_timeout and not test_recursive_query_basic_failure and not test_recursive_query_basic_success \
+  and not test_recursive_query_long_domain_failure"
 
 %files
 %license LICENSE

Then just "fedpkg --release rawhide mockbuild" in srpm-unpacked directory. If you are still looking for a package, can you update spec to compile also in mock?
An alternative would be skipping the test in case dns.resolver.NoResolverConfiguration exception were raised.

Comment 3 Package Review 2021-07-16 00:45:22 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.